#
# Example post-boot.sh script for honeywall CD-ROM.
#
# Dave Dittrich <dittrich@speakeasy.net>
# Sat Dec 13 17:59:32 PST 2003

CONFDIR="/hw/conf"

. /etc/rc.d/init.d/hwfuncs.sub

if [ -f /tmp/honeywall.conf ]; then
    echo ""
    echo "************************************************************"
    echo " Finally getting around to using honeywall.conf from floppy."
    echo "************************************************************"
    echo ""
    if [ ! -f ${CONFDIR}/HwINIT_SETUP ]; then
        echo "To use this file to set up a new honeywall, choose:"
        echo "  OS Administration/"
        echo "     Initialize Drive"
        echo " ... then after its done, chose:"
        echo "     Reboot honeywall"
        echo ""
        echo "Do you want me to replace /etc/honeywall.conf"
	echo -n "with this file? (y/n) [n] " 
        read -t 20 foo
        if [ "$foo" = "y" -o "$foo" = "Y" ]; then
            mv /tmp/honeywall.conf /etc/
	    echo "/etc/honeywall.conf replaced"
        else
            echo ""
            echo "Ignoring new honeywall.conf."
            echo "(I left it in /tmp/honeywall.conf in case you want it.)"
        fi
    else
        echo "I can reconfigure the honeywall from this file."
        echo "(This will reformat /dev/hda, destroying everything in its wake.)"
        echo -n "Do you want me to do this? (y/n) [n] " 
        read -t 20 foo
        if [ "$foo" = "y" -o "$foo" = "Y" ]; then
            mv /tmp/honeywall.conf /etc/
	    loadvars /etc/honeywall.conf
            # If you have installed a honeywall.conf file by hand, trick
            # the UI into letting you use it. ;)
            # (Needs to be done in post-boot.sh.)
            echo "Tricking UI into using custom honeywall.conf file"
            echo done > "${CONFDIR}"/HwINIT_SETUP
        else
            echo ""
            echo "Ignoring new honeywall.conf."
            echo "(I left it in /tmp/honeywall.conf in case you want it.)"
        fi
    fi
fi

if [ ! -f ${CONFDIR}/HwTIME_SVR ]; then
	echo time.u.washington.edu > ${CONFDIR}/HwTIME_SVR
fi
if [ -f ${CONFDIR}/HwTIME_SVR ]; then
	echo "Trying to synch time to NTP time source..."
	ntpdate `cat ${CONFDIR}/HwTIME_SVR` 2>/dev/null
fi

# Check to see if there is a post-boot autoexec.sh script
# on floppy to run.  This gives one added bit of flexibility
# for testing, etc.
mcopy a:/autoexec.sh /tmp >/dev/null 2>&1
if [ $? -eq 0 ]; then
    echo "Found 'autoexec.sh' on floppy. Executing now..."
    bash /tmp/autoexec.sh
    rm -f autoexec.sh
fi
echo ""
echo "The time is now:  `date`"
echo ""
sleep 5
exit 0
